SUBDIRS      = lib src
bin_PROGRAMS = sat_atpg

INCLUDES = -I$(top_srcdir)/lib/minisat -I$(top_srcdir)/lib/minisat_dc 

sat_atpg_SOURCES  = src/main.cpp
sat_atpg_CPPFLAGS = $(AM_CPPFLAGS) 
sat_atpg_LDFLAGS  = $(AM_LDFLAGS) $(INCLUDES)
sat_atpg_LDADD    = src/libsatatpg.a lib/minisat/libminisat.a lib/minisat_dc/libminisatdc.a

#main.o:
#	$(CXXCOMPILE) $(INCLUDES) -o main.o -g -c main.cpp
